This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 965752 - Previous installed system disappears when using free space from existing VG for new / partition
Previous installed system disappears when using free space from existing VG f...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-21 12:20 EDT by Martin Banas
Modified: 2015-02-17 10:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:18:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (87.83 KB, text/plain)
2013-05-21 12:20 EDT, Martin Banas
no flags Details
ifcfg.log (567 bytes, text/plain)
2013-05-21 12:20 EDT, Martin Banas
no flags Details
packaging.log (308.85 KB, text/plain)
2013-05-21 12:20 EDT, Martin Banas
no flags Details
program.log (22.83 KB, text/plain)
2013-05-21 12:20 EDT, Martin Banas
no flags Details
step1.png (80.97 KB, image/png)
2013-05-21 12:20 EDT, Martin Banas
no flags Details
step2.png (84.80 KB, image/png)
2013-05-21 12:20 EDT, Martin Banas
no flags Details
step3-result.png (69.47 KB, image/png)
2013-05-21 12:20 EDT, Martin Banas
no flags Details
storage.log (162.55 KB, text/plain)
2013-05-21 12:21 EDT, Martin Banas
no flags Details
storage.state (20.00 KB, application/octet-stream)
2013-05-21 12:21 EDT, Martin Banas
no flags Details
syslog (73.02 KB, text/plain)
2013-05-21 12:21 EDT, Martin Banas
no flags Details

  None (edit)
Description Martin Banas 2013-05-21 12:20:00 EDT
Description of problem:
If I have some free space on VG, and use it for new installation, all other partitions from previous system disappears from menu (see steps to reproduce)

Version-Release number of selected component (if applicable):
Fedora-19-Beta-RC2
anaconda-19.28

How reproducible:
always

Steps to Reproduce:
Prepare:
1. On system with 2 8GB disks, create / partition, 3GB, LVM
2. Edit volume group, name System and size All available size, place it only on first disk
3. Create 500MB swap partition on second disk
4. Create /srv partition, 3GB, LVM, volume group Data, place it only on second disk, and set size to all available

Test:
1. Start new installation
2. On partitioning, go to custom partitioning.
3. Create new / partition

Actual results:
Anaconda informs user that it created the partition on System volume group, this is great. But the previous installation just disappeared from the menu (which means now I can't use /home for new installation)

Expected results:
Existing installation should not disappear, and user should be able to use partitions from previous installation at any time.

Additional info:
See screenshots
Comment 1 Martin Banas 2013-05-21 12:20:27 EDT
Created attachment 751267 [details]
anaconda.log
Comment 2 Martin Banas 2013-05-21 12:20:32 EDT
Created attachment 751268 [details]
ifcfg.log
Comment 3 Martin Banas 2013-05-21 12:20:38 EDT
Created attachment 751269 [details]
packaging.log
Comment 4 Martin Banas 2013-05-21 12:20:44 EDT
Created attachment 751270 [details]
program.log
Comment 5 Martin Banas 2013-05-21 12:20:49 EDT
Created attachment 751271 [details]
step1.png
Comment 6 Martin Banas 2013-05-21 12:20:54 EDT
Created attachment 751272 [details]
step2.png
Comment 7 Martin Banas 2013-05-21 12:20:59 EDT
Created attachment 751273 [details]
step3-result.png
Comment 8 Martin Banas 2013-05-21 12:21:04 EDT
Created attachment 751274 [details]
storage.log
Comment 9 Martin Banas 2013-05-21 12:21:09 EDT
Created attachment 751275 [details]
storage.state
Comment 10 Martin Banas 2013-05-21 12:21:14 EDT
Created attachment 751276 [details]
syslog
Comment 11 Fedora End Of Life 2015-01-09 13:11:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 10:18:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.